package com.example.demo.home.combatants;

import com.example.demo.JDBC.ConnectDB;

import org.springframework.web.bind.annotation.*;

import java.sql.SQLException;


/**
 *
 * ━━━━━━神兽出没━━━━━━
 * 　　　┏┓　　　┏┓
 * 　　┏┛┻━━━┛┻┓
 * 　　┃　　　　　　　┃
 * 　　┃　　　━　　　┃
 * 　　┃　┳┛　┗┳　┃
 * 　　┃　　　　　　　┃
 * 　　┃　　　┻　　　┃
 * 　　┃　　　　　　　┃
 * 　　┗━┓　　　┏━┛Code is far away from bug with the animal protecting
 * 　　　　┃　　　┃    神兽保佑,代码无bug
 * 　　　　┃　　　┃
 * 　　　　┃　　　┗━━━┓
 * 　　　　┃　　　　　　　┣┓
 * 　　　　┃　　　　　　　┏┛
 * 　　　　┗┓┓┏━┳┓┏┛
 * 　　　　　┃┫┫　┃┫┫
 * 　　　　　┗┻┛　┗┻┛
 *
 * ━━━━━━感觉萌萌哒━━━━━━
 */

@CrossOrigin
@RestController
@ResponseBody
public class CombatantsController {

    @PostMapping(value = "/combatants")
    public String initCombatants() throws SQLException {
        ConnectDB connectDB = new ConnectDB();
        System.out.println("init");
        System.out.println(connectDB.initCombatants().toString());
        return connectDB.initCombatants().toString();
    }

}
